# KEN\_ID (Kenya ID)

| **Front**             |                                                                                                                                                                                                                                                                                           |
| --------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| faceImage             | Base64 encoded face image of the user. The format is the same as per the image uploaded, e.g. png or jpg                                                                                                                                                                                  |
| fullName              | Full name                                                                                                                                                                                                                                                                                 |
| dateOfBirth           | Date of birth                                                                                                                                                                                                                                                                             |
| dateOfBirthFormatted  | ISO-8601 format yyyy-MM-dd                                                                                                                                                                                                                                                                |
| placeOfBirth          | Place of birth                                                                                                                                                                                                                                                                            |
| issueDate             | Issue date                                                                                                                                                                                                                                                                                |
| issueDateFormatted    | ISO-8601 format yyyy-MM-dd                                                                                                                                                                                                                                                                |
| documentNumber        | Document Number                                                                                                                                                                                                                                                                           |
| personalNumber        | Personal Number                                                                                                                                                                                                                                                                           |
| placeOfIssue          | Place of issue                                                                                                                                                                                                                                                                            |
| sex                   | Sex                                                                                                                                                                                                                                                                                       |
| **Back**              |                                                                                                                                                                                                                                                                                           |
| identifier            | Identifier                                                                                                                                                                                                                                                                                |
| city                  | City                                                                                                                                                                                                                                                                                      |
| state                 | State                                                                                                                                                                                                                                                                                     |
| area                  | Area                                                                                                                                                                                                                                                                                      |
| location              | Location                                                                                                                                                                                                                                                                                  |
| secondaryId           | Given names of the user as per MRZ                                                                                                                                                                                                                                                        |
| primaryId             | Surname of the user as per MRZ                                                                                                                                                                                                                                                            |
| dateOfBirth           | As per the MRZ (YYMMDD)                                                                                                                                                                                                                                                                   |
| dateOfBirthFormatted  | ISO-8601 format yyyy-MM-dd                                                                                                                                                                                                                                                                |
| dateOfExpiry          | As per the MRZ (YYMMDD)                                                                                                                                                                                                                                                                   |
| dateOfExpiryFormatted | ISO-8601 format yyyy-MM-dd                                                                                                                                                                                                                                                                |
| documentNumber        | As per the MRZ                                                                                                                                                                                                                                                                            |
| nationality           | As per the MRZ                                                                                                                                                                                                                                                                            |
| issuer                | Document issuer as per the MRZ                                                                                                                                                                                                                                                            |
| sex                   | As per the MRZ                                                                                                                                                                                                                                                                            |
| documentCode          | As per the MRZ                                                                                                                                                                                                                                                                            |
| mrzText               | Full MRZ text divided by new line character “\n”                                                                                                                                                                                                                                          |
| mrzVerified           | MRZ checksum verification (true or false)                                                                                                                                                                                                                                                 |
| opt1                  | <p>Optional field 1 as per MRZ (see <a href="https://en.wikipedia.org/wiki/Machine-readable_passport#Official_travel_documents"><https://en.wikipedia.org/wiki/Machine-readable_passport#Official_travel_documents></a>)</p><p>In case of emirates id it contains the identity number</p> |
| opt2                  | Optional field 2 as per MRZ (see <https://en.wikipedia.org/wiki/Machine-readable_passport#Official_travel_documents>)                                                                                                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uqudo.com/docs/kyc/uqudo-api/scan/country-specific-ids/ken_id-kenya-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
